
/*
**  opts.h copyright 1996 by kravietZ
*/

/*
**  moje funkcje dziela skladniki linii polecen na argumenty
**  i opcje; pierwsze to zwykle stringi, drugie zaczynaja sie
**  znakami "-" lub "/"
*/

/* definicje dla getopt() */
#define OPT_SUB     1   /* szukac opcji jako substringu */
#define OPT_EXACT   2   /* szukac _dokladnie_ takiej opcji */

/*
   getarg daje w wyniku wskaznik do stringu numer (int) nie bedacego
   opcja; tzn nie zaczynajacego sie od znakow "-" lub "/"
   najlepiej uzywac tego zamiast bezposredniego odwolania argv[]
*/

extern char *getarg(int optnum, char **argv, int argc);

/*
    getopt daje w wyniku int numer argv jesli opcja (char *) znajduje
    sie w linii polecen, lub NULL jesli nie;
    mode = OPT_SUB      szukaj opt jako substringu argv
    mode = OPT_EXACT    szukaj opt dokladnie == argv
*/

extern int  _getopt(char *opt, char **argv, int argc, int mode);

/*
    rzeczywista liczba argumentow, argc po odliczeniu opcji
*/

extern int  real_argc(char **argv, int argc);

#define garg(num) (getarg(num,argv,argc))

#define gopt(opt) (_getopt(opt,argv,argc,OPT_SUB))

#define gopt2(opt) (_getopt(opt,argv,argc,OPT_EXACT))

#define rargc real_argc(argv,argc)
